[ovirt-users] Get UU

2017-12-29 Thread Blaster
I need to create an old oVirt Windows VM.  The VM has an old licensed product 
that we can no longer get a licensed reissued for.  It looks like I need to 
feed back the original qemu UUID that was used when the VM was created.

I have an engine config backup and a backup of the oVirt storage domain.

I viewed the engine backup, but the format as-is doesn't give any obvious 
configuration details of the VMs at the time of the backup.  Is the UUID as 
obvious as the file name of the VM's boot volume UUID name?


___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


[ovirt-users] ovirt 4.2 lab under vmware workstation 14 - stuck on sea bios

2017-12-29 Thread jean-marc pouchoulon


hello

I try to set setup ovirt lab under VMWare workstation 14.

I've got a 4.2 ovirt-node (bare metal)

"All" is running until I'm launching a VM ( template or custom vm)  it 
stuck at seabios level.


In a previous thread the way-around seems to change qemu default 
hardware but I have no idea to do this in my bare-metal ovirt-node.



Based on some old bugs, I suspect the machine type is incorrect (there's
another bug about how the HE VM simply appears as "Linux"). Using
pc-i440fx-rhel7.2.0 is reported to work


I tried also to set up a 4.1 ovirt-node but it couldn't be referenced  
by ovirt 4.2.


Thanks for you help

Regards,

/Dears, />//>/I'm trying to setup a lab for Ovirt 4.2 on VMware ESXi 6.5. />/I checked "Expose hardware assisted virtualization to the guest OS" and 

"Enable />/virtualized CPU performance counters" options to activate the nested />/virtualization. />//>/I installed Ovirt node and 
I try to setup a self hosted engine on it. />/All pre-configrations were done successfully. But when arriving to step />/"Running engine-setup 
on the appliance", the Hosted engine VM wouldn't />/start. />//>/I open the VM console, it stuck a bios level. It display the following : 
/>//>/SeaBIOS (Version 1.10.2-3.el7_4.1) />/Machine UUID ced5025d-eec1-458a-991c-cc3bba9392dd />//>/Does anybody already encountered this 
issue? Is there any more parameters />/to set in the ESXi for it to work? />//>/Thanks for your help />/Regards,/

___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] How to import OVA from oVirt 4.2 to oVirt 4.2

2017-12-29 Thread Alex Bartonek
I used clonezilla and built the VM that way.  If you get the OVA thing working, 
cool..  but in the meantime, here's how I did it using Clonezilla.

https://www.unix1337.com/cloning-a-virtualbox-vm-to-ovirt-4-2/

Sent with [ProtonMail](https://protonmail.com) Secure Email.

>  Original Message 
> Subject: How to import OVA from oVirt 4.2 to oVirt 4.2
> Local Time: December 28, 2017 8:03 PM
> UTC Time: December 29, 2017 2:03 AM
> From: a...@unix1337.com
> To: users 
>
> Followed instructions here:
> https://www.ovirt.org/develop/release-management/features/virt/virt-v2v-integration/
> Section: Importing OVA Files from VMware
> Even though its not VMWare, its an ova file so I followed the steps there.  
> Ownership of the file is 777, wide open.
>
> Error after clicking load: Failed to load VM configuration from OVA file: 
> /media/primary/extra_space/CentOS7.ova
>
> Error in engine.log:
> 2017-12-28 20:03:04,910-06 INFO  
> [org.ovirt.engine.core.common.utils.ansible.AnsibleExecutor] (default 
> task-38) [b596efbd-dc55-4ce4-b3b8-5e8ffac6e633] Executing Ansible command:  
> [/usr/bin/ansible-playbook, 
> --private-key=/etc/pki/ovirt-engine/keys/engine_id_rsa, 
> --inventory=/tmp/ansible-inventory4892490524555390378, 
> --extra-vars=ovirt_query_ova_path=/media/primary/extra_space/CentOS7.ova, 
> /usr/share/ovirt-engine/playbooks/ovirt-ova-query.yml] [Logfile: null]
> 2017-12-28 20:03:09,045-06 INFO  
> [org.ovirt.engine.core.common.utils.ansible.AnsibleExecutor] (default 
> task-38) [b596efbd-dc55-4ce4-b3b8-5e8ffac6e633] Ansible playbook command has 
> exited with value: 0
> 2017-12-28 20:03:09,046-06 ERROR 
> [org.ovirt.engine.core.bll.GetVmFromOvaQuery] (default task-38) 
> [b596efbd-dc55-4ce4-b3b8-5e8ffac6e633] Query 'GetVmFromOvaQuery' failed: null
> 2017-12-28 20:03:09,046-06 ERROR 
> [org.ovirt.engine.core.bll.GetVmFromOvaQuery] (default task-38) 
> [b596efbd-dc55-4ce4-b3b8-5e8ffac6e633] Exception: 
> java.lang.NullPointerException
> at 
> org.ovirt.engine.core.bll.GetVmFromOvaQuery.executeQueryCommand(GetVmFromOvaQuery.java:47)
>  [bll.jar:]
> at 
> org.ovirt.engine.core.bll.QueriesCommandBase.executeCommand(QueriesCommandBase.java:106)
>  [bll.jar:]
> at org.ovirt.engine.core.dal.VdcCommandBase.execute(VdcCommandBase.java:33) 
> [dal.jar:]
> at 
> org.ovirt.engine.core.bll.executor.DefaultBackendQueryExecutor.execute(DefaultBackendQueryExecutor.java:14)
>  [bll.jar:]
> at org.ovirt.engine.core.bll.Backend.runQueryImpl(Backend.java:579) [bll.jar:]
> at org.ovirt.engine.core.bll.Backend.runQuery(Backend.java:548) [bll.jar:]
> at sun.reflect.GeneratedMethodAccessor100.invoke(Unknown Source) [:1.8.0_151]
> at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>  [rt.jar:1.8.0_151]
> at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_151]
> at 
> org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52)
> at 
> org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
> at 
> org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:509)
> at 
> org.jboss.as.weld.ejb.DelegatingInterceptorInvocationContext.proceed(DelegatingInterceptorInvocationContext.java:92)
>  [wildfly-weld-ejb-11.0.0.Final.jar:11.0.0.Final]
> at 
> org.jboss.weld.interceptor.proxy.WeldInvocationContext.interceptorChainCompleted(WeldInvocationContext.java:98)
>  [weld-core-impl-2.4.3.Final.jar:2.4.3.Final]
> at 
> org.jboss.weld.interceptor.proxy.WeldInvocationContext.proceed(WeldInvocationContext.java:117)
>  [weld-core-impl-2.4.3.Final.jar:2.4.3.Final]
> at 
> org.ovirt.engine.core.common.di.interceptor.LoggingInterceptor.apply(LoggingInterceptor.java:12)
>  [common.jar:]
> at sun.reflect.GeneratedMethodAccessor66.invoke(Unknown Source) [:1.8.0_151]
> at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>  [rt.jar:1.8.0_151]
> at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_151]
> at 
> org.jboss.weld.interceptor.reader.SimpleInterceptorInvocation$SimpleMethodInvocation.invoke(SimpleInterceptorInvocation.java:73)
>  [weld-core-impl-2.4.3.Final.jar:2.4.3.Final]
> at 
> org.jboss.weld.interceptor.proxy.WeldInvocationContext.invokeNext(WeldInvocationContext.java:83)
>  [weld-core-impl-2.4.3.Final.jar:2.4.3.Final]
> at 
> org.jboss.weld.interceptor.proxy.WeldInvocationContext.proceed(WeldInvocationContext.java:115)
>  [weld-core-impl-2.4.3.Final.jar:2.4.3.Final]
> at org.jboss.weld.bean.InterceptorImpl.intercept(InterceptorImpl.java:108) 
> [weld-core-impl-2.4.3.Final.jar:2.4.3.Final]
> at 
> org.jboss.as.weld.ejb.DelegatingInterceptorInvocationContext.proceed(DelegatingInterceptorInvocationContext.java:82)
>  [wildfly-weld-ejb-11.0.0.Final.jar:11.0.0.Final]
> at 
> org.jboss.as.weld.interceptors.EjbComponentInterceptorSupport.delegateInterception(EjbComponentInterceptorSupport.java:60)
> at 

Re: [ovirt-users] oVirt virtio drivers for fedora 5

2017-12-29 Thread Sergey Kulikov
Title: Re: [ovirt-users] oVirt virtio drivers for fedora 5



Maybe you can make this two disks larger, make more extended partitions on them and move partitions from disks 3 and 4 to this two and modify fstab accordingly?
Or if you don't need separate mount points you can extend space on / and move data to / filesystem tree and remove fstab entries,
and use only 1 virtual disk, if it's acceptable.
All this can be done from modern OS, you can connect all 4 disks via virtio drivers, connect 5th disk, move data to it, install fedora5 bootloader,
modify fstab and than reattach to original vm via IDE.

-- 



 Wednesday, December 27, 2017, 16:07:59:





Hi,
We have converted a very old fedora 5 server to run on oVirt. However, since the Fedora 5 does not have virtio drivers, or virtio-scsi drivers, the disks are connected to virtual IDE interface. The problem here is on a single IDE interface, we cannot connect more than 2 disks. But the old converted server had 4 disks on 2 IDE controllers. 
First question is can we add one more virtual IDE Controller to the VM? If yes, please share the procedure. Or whether any one can share the proper virtio or virtio scsi for fedora 5 OS drivers so that we can get other two inactive disks working.
Unfortunately we cannot upgrade from Fedora 5 at the moment. 
Await your inputs.
-- 
Thanks & Regards,

Anantha Raghava

Do not print this e-mail unless required. Save Paper & trees.




___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] 4.2.0 Unable to create VM disk from VM Portal

2017-12-29 Thread Vrgotic, Marko
Dear Michal,

Thank you for fast reply.

Do you know app. at which point in time the VM Portal will gain the ability of 
VM disk manipulation?

Kindly awaiting your reply.

--
Met vriendelijke groet / Best regards,
Marko Vrgotic
System Engineer/Customer Care


From: Michal Skrivanek 
Date: Friday, 29 December 2017 at 20:47
To: "Vrgotic, Marko" 
Cc: "users@ovirt.org" 
Subject: Re: [ovirt-users] 4.2.0 Unable to create VM disk from VM Portal



On 29 Dec 2017, at 16:20, Vrgotic, Marko 
> wrote:
Dear oVirt community,

I have following setup:
4 servers as glusterfs storage: providing volume 1 for HostedEngine ad volume 2 
for VM Storage
7 Hypervisors
SelfHosted Engine 4.2.0 clean install (not an upgrade)

Problem:
Missing option to add/create VM disk from VM Portal / even as Admin user.

Hi,
there is no disk manipulation in VM Portal


I have tried with Admin suer and creating user “Test” wth PowerUser role.
In both cases there is not option to create or attach disk.

Is the approach changed since 4.2.0?

Yes. The old User Portal where it was possible to fully edit a VM was 
discontinued in 4.2. The new VM Portal doesn’t have that capability yet

Perhaps you can use webadmin and limit user’s permissions the way you need

Thanks,
michal

Am I missing a setting?
Please let me know, I will provide more data if needed.

Kindly awaiting your reply.

--
Met vriendelijke groet / Best regards,
Marko Vrgotic
System Engineer/Customer Care

___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] ovirt 4.2 + Win 7 64bit VM + Blue Iris no workie

2017-12-29 Thread Blaster
No need.  This was on Windows 10 x64, working with KVM64 processor type, 
so that works for me.




On 12/29/2017 11:51 AM, Alex Bartonek wrote:

Have you tried 32bit Windows VM? It works that way.


Sent from ProtonMail mobile



 Original Message 
On Dec 29, 2017, 12:04 AM, Blaster < blas...@556nato.com> wrote:


On 12/27/2017 5:04 PM, Blaster wrote:
> On 12/27/2017 12:13 PM, Alex Bartonek wrote:
>> Got it working!!!   Install Win 7 x86, NOT 64bit. Install Blue
>> Iris.   I only installed ethernet drivers and vid card drivers.
>> I'll install the rest but am assuming it should work fine.  Bye
bye
>> XenServ

I did a little testing with QEMU

Physical CPU:  Athlon II 640
QEMU CPU types: Opteron G3, Host, KVM 64
result: All worked fine

Physical CPU: I7-4790K
QEMU CPU types: KVM64
result: Worked fine

QEMU CPU types: Host, Haswell-NOTSX
result: Panic on Blue Iris startup

It would be interesting to keep notching the Intel CPU types down
until
it worked.




___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] 4.2.0 Unable to create VM disk from VM Portal

2017-12-29 Thread Michal Skrivanek
On 29 Dec 2017, at 16:20, Vrgotic, Marko  wrote:

Dear oVirt community,



I have following setup:

4 servers as glusterfs storage: providing volume 1 for HostedEngine ad
volume 2 for VM Storage

7 Hypervisors

SelfHosted Engine 4.2.0 clean install (not an upgrade)



Problem:

Missing option to add/create VM disk from VM Portal / even as Admin user.


Hi,
there is no disk manipulation in VM Portal

I have tried with Admin suer and creating user “Test” wth PowerUser role.

In both cases there is not option to create or attach disk.



Is the approach changed since 4.2.0?


Yes. The old User Portal where it was possible to fully edit a VM was
discontinued in 4.2. The new VM Portal doesn’t have that capability yet

Perhaps you can use webadmin and limit user’s permissions the way you need

Thanks,
michal

Am I missing a setting?

Please let me know, I will provide more data if needed.



Kindly awaiting your reply.



--

Met vriendelijke groet / Best regards,

Marko Vrgotic

System Engineer/Customer Care



___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Warning - MacOS SSH Terminal / oVirt Engine Errors

2017-12-29 Thread Maton, Brett
Works just fine from a vanilla Mac OS SSH session, I updated 3 clusters
this week from a mac

On 29 December 2017 at 13:27, Chris Adams  wrote:

> Once upon a time, andreil1  said:
> > Hi !
> >
> > I would like to warn all who try to use engine-setup via MacOS X SSH
> terminal.
> > It throws a lot of errors and fails (seems to relate to differently
> named UTF8 locales).
> > From Linux PC everything is fine.
> >
> >
> >
> > [root@node00 ~]# engine-setup
> > [ ERROR ] Yum unknown locale: UTF-8
> > [ ERROR ] Yum unknown locale: UTF-8
>
> Is it really setting the locale ($LANG) to UTF-8?  If so, that's wrong;
> UTF-8 is a character encoding, not a locale.  A proper locale would be
> something like en_US.utf8.
>
> You should be able to override it after login by setting it, like:
>
> # export LANG=en_US.utf8
>
> --
> Chris Adams 
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users
>
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Some questions

2017-12-29 Thread Alex Bartonek
Did you add the virtscsi drivers?

Sent from ProtonMail mobile

 Original Message 
On Dec 29, 2017, 11:57 AM, Pepe Pepe wrote:

> Hello!
>
> I got some questions for you.
>
> 1. How can I acces to the User Portal from a different PC of my subnetwork 
> (appart from the one which has the engine)? IP/UserPortal doesn't work.
>
> 2. I have Ubuntu and CentOS in a VM. I added a NIC to each one but they don't 
> appear as a interface.
>
> 3. Why when I try to install W10, it doesn't detect any Hard Drive ? I added 
> the floppy disk as it's explained on the web guides.
>
> Thanks in advance,
>
> Regards and have a nice day!
>
> Jose.___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


[ovirt-users] Some questions

2017-12-29 Thread Pepe Pepe
Hello!

 

I got some questions for you.

 

1. How can I acces to the User Portal from a different PC of my subnetwork (appart from the one which has the engine)? IP/UserPortal doesn't work.

 

2. I have Ubuntu and CentOS in a VM. I added a NIC to each one but they don't appear as a interface.

 

3. Why when I try to install W10, it doesn't detect any Hard Drive ? I added the floppy disk as it's explained on the web guides.

 

 

Thanks in advance, 

 

Regards and have a nice day!

 

Jose.

 
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] ovirt 4.2 + Win 7 64bit VM + Blue Iris no workie

2017-12-29 Thread Alex Bartonek
Have you tried 32bit Windows VM? It works that way.

Sent from ProtonMail mobile

 Original Message 
On Dec 29, 2017, 12:04 AM, Blaster wrote:

> On 12/27/2017 5:04 PM, Blaster wrote:
>> On 12/27/2017 12:13 PM, Alex Bartonek wrote:
>>> Got it working!!!   Install Win 7 x86, NOT 64bit.  Install Blue
>>> Iris.   I only installed ethernet drivers and vid card drivers.
>>> I'll install the rest but am assuming it should work fine.  Bye bye
>>> XenServ
>
> I did a little testing with QEMU
>
> Physical CPU:  Athlon II 640
> QEMU CPU types: Opteron G3, Host, KVM 64
> result: All worked fine
>
> Physical CPU: I7-4790K
> QEMU CPU types: KVM64
> result: Worked fine
>
> QEMU CPU types: Host, Haswell-NOTSX
> result: Panic on Blue Iris startup
>
> It would be interesting to keep notching the Intel CPU types down until
> it worked.___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] ovirt 4.2 + Win 7 64bit VM + Blue Iris no workie

2017-12-29 Thread Blaster

On 12/27/2017 5:04 PM, Blaster wrote:

On 12/27/2017 12:13 PM, Alex Bartonek wrote:
Got it working!!!   Install Win 7 x86, NOT 64bit.  Install Blue 
Iris.   I only installed ethernet drivers and vid card drivers.   
I'll install the rest but am assuming it should work fine.  Bye bye 
XenServ


I did a little testing with QEMU

Physical CPU:  Athlon II 640
QEMU CPU types: Opteron G3, Host, KVM 64
result: All worked fine

Physical CPU: I7-4790K
QEMU CPU types: KVM64
result: Worked fine

QEMU CPU types: Host, Haswell-NOTSX
result: Panic on Blue Iris startup

It would be interesting to keep notching the Intel CPU types down until 
it worked.



___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Warning - MacOS SSH Terminal / oVirt Engine Errors

2017-12-29 Thread Vinícius Ferrão
Assuming you’re using bash, put this on your .profile on local macOS machine:

export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8

V.

> On 29 Dec 2017, at 11:24, andreil1  wrote:
> 
> Hi !
> 
> I would like to warn all who try to use engine-setup via MacOS X SSH terminal.
> It throws a lot of errors and fails (seems to relate to differently named 
> UTF8 locales). 
> From Linux PC everything is fine.
> 
> 
> 
> [root@node00 ~]# engine-setup 
> [ ERROR ] Yum unknown locale: UTF-8
> [ ERROR ] Yum unknown locale: UTF-8
> [ INFO  ] Stage: Initializing
> [ INFO  ] Stage: Environment setup
>  Configuration files: 
> ['/etc/ovirt-engine-setup.conf.d/10-packaging-jboss.conf', 
> '/etc/ovirt-engine-setup.conf.d/10-packaging.conf', 
> '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf']
>  Log file: 
> /var/log/ovirt-engine/setup/ovirt-engine-setup-20171229131812-y5rhix.log
>  Version: otopi-1.7.5 (otopi-1.7.5-1.el7.centos)
> [ ERROR ] Failed to execute stage 'Environment setup': unknown locale: UTF-8
> [ INFO  ] Stage: Clean up
>  Log file is located at 
> /var/log/ovirt-engine/setup/ovirt-engine-setup-20171229131812-y5rhix.log
> [ ERROR ] Failed to execute stage 'Clean up': 'NoneType' object has no 
> attribute 'cleanup'
> [ INFO  ] Generating answer file 
> '/var/lib/ovirt-engine/setup/answers/20171229131815-setup.conf'
> [ INFO  ] Stage: Pre-termination
> [ INFO  ] Stage: Termination
> [ ERROR ] Execution of setup failed
> [root@node00 ~]# Connection to 192.168.0.4 closed by remote host.
> Connection to 192.168.0.4 closed.
> iMacG5:~ g5$ 
> 
> 
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users

___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


[ovirt-users] 4.2.0 Unable to create VM disk from VM Portal

2017-12-29 Thread Vrgotic, Marko
Dear oVirt community,

I have following setup:
4 servers as glusterfs storage: providing volume 1 for HostedEngine ad volume 2 
for VM Storage
7 Hypervisors
SelfHosted Engine 4.2.0 clean install (not an upgrade)

Problem:
Missing option to add/create VM disk from VM Portal / even as Admin user.
I have tried with Admin suer and creating user “Test” wth PowerUser role.
In both cases there is not option to create or attach disk.

Is the approach changed since 4.2.0? Am I missing a setting?
Please let me know, I will provide more data if needed.

Kindly awaiting your reply.

--
Met vriendelijke groet / Best regards,
Marko Vrgotic
System Engineer/Customer Care

___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


[ovirt-users] oVirt 4.2 ansible 'Add hosts' task doesn't work

2017-12-29 Thread Abdurrahman A. Ibrahim
Hi all,

- Here is a simple architecture for my demo deployment using KVM VMs:
1) rhevm1.ab.lab -> oVirt Engine (CentOS 7.4 x86_64)
2) rhevh1.ab.lab -> oVirt Enterprise Linux Host (CentOS 7.4 x86_64)
3) rhevh2.ab.lab ->  oVirt Enterprise Linux Host (CentOS 7.4 x86_64)

- How to reproduce issue:
1) I installed 'ovirt-engine' successfully.

2) I tried to add 'rhevh1.ab.lab' from 'rhevm1.ab.lab' using SSH public key.

Everything was OK until I had the following error message:
"Host rhevh1 installation failed. Failed to execute Ansible host-deploy
role. Please check logs for more details:
/var/log/ovirt-engine/host-deploy/ovirt-host-deploy-ansible-20171229144439-rhevh1.ab.lab-13b2b5c4.log."

Checking log file showed the following:
[root@rhevm1 tmp]# cat
/var/log/ovirt-engine/host-deploy/ovirt-host-deploy-ansible-20171229144439-rhevh1.ab.lab-13b2b5c4.log
2017-12-29 14:44:40,320 p=9666 u=ovirt |  [DEPRECATION WARNING]: The
use of 'include' for tasks has been deprecated. Use
' import_tasks' for static inclusions or 'include_tasks' for dynamic
inclusions.
This feature will be removed in a future release. Deprecation warnings
can be
disabled by setting deprecation_warnings=False in ansible.cfg.
2017-12-29 14:44:40,321 p=9666 u=ovirt |  [DEPRECATION WARNING]:
include is kept for backwards compatibility but usage is
discouraged. The module documentation details page may explain more
about this
rationale.. This feature will be removed in a future release.
Deprecation
warnings can be disabled by setting deprecation_warnings=False in
ansible.cfg.
2017-12-29 14:44:40,458 p=9666 u=ovirt |  PLAY [all]
*
2017-12-29 14:44:40,469 p=9666 u=ovirt |  TASK [Gathering Facts]
*
2017-12-29 14:44:40,801 p=9666 u=ovirt |  fatal: [rhevh1.ab.lab]:
UNREACHABLE! => {"changed": false, "msg": "Failed to connect to the host
via ssh: ssh_exchange_identification: Connection closed by remote
host\r\n", "unreachable": true}
2017-12-29 14:44:40,802 p=9666 u=ovirt |  PLAY RECAP
*
2017-12-29 14:44:40,802 p=9666 u=ovirt |  rhevh1.ab.lab  :
ok=0changed=0unreachable=1failed=0

3) I tried to simulate Ansilbe role work by using simple ansible module
using 'root' user:
   [root@rhevm1 tmp]# ansible -m ping rhevhs -i /tmp/tmphosts
   The authenticity of host '192.168.150.21 ()' can't be established.
   ECDSA key fingerprint is
SHA256:fPem/Gn67v6tEbQpX/NJix/Ff7gPJsQ9Hz9SSBBc5ts.
  ECDSA key fingerprint is
MD5:12:ca:c7:84:93:50:3f:33:b5:39:e2:20:2d:13:17:43.
  Are you sure you want to continue connecting (yes/no)? yes
  192.168.150.21 | SUCCESS => {
  "changed": false,
  "ping": "pong"
  }


4) It seems that above ansible role is not able to deal with SSH
fingerprint for the first time even if I was able to collect
'rhevh1.ab.lab' fingerprint during adding host procedures.

5) I have tried to disable this feature in ansible.cfg file:
[root@rhevm1 tmp]# grep host_key_checking /etc/ansible/ansible.cfg
host_key_checking = False

6) Again the same results:
[root@rhevm1 tmp]# cat
/var/log/ovirt-engine/host-deploy/ovirt-host-deploy-ansible-20171229145907-rhevh1.ab.lab-3e8bace0.log
2017-12-29 14:59:08,005 p=10135 u=ovirt |  [DEPRECATION WARNING]: The use
of 'include' for tasks has been deprecated. Use
'import_tasks' for static inclusions or 'include_tasks' for dynamic
inclusions.
 This feature will be removed in a future release. Deprecation warnings can
be
disabled by setting deprecation_warnings=False in ansible.cfg.
2017-12-29 14:59:08,006 p=10135 u=ovirt |  [DEPRECATION WARNING]: include
is kept for backwards compatibility but usage is
 discouraged. The module documentation details page may explain more about
this
 rationale.. This feature will be removed in a future release. Deprecation
warnings can be disabled by setting deprecation_warnings=False in
ansible.cfg.
2017-12-29 14:59:08,139 p=10135 u=ovirt |  PLAY [all]
*
2017-12-29 14:59:08,151 p=10135 u=ovirt |  TASK [Gathering Facts]
*
2017-12-29 14:59:08,477 p=10135 u=ovirt |  fatal: [rhevh1.ab.lab]:
UNREACHABLE! => {"changed": false, "msg": "Failed to connect to the host
via ssh: ssh_exchange_identification: Connection closed by remote
host\r\n", "unreachable": true}
2017-12-29 14:59:08,478 p=10135 u=ovirt |  PLAY RECAP
*
2017-12-29 14:59:08,478 p=10135 u=ovirt |  rhevh1.ab.lab  :
ok=0changed=0unreachable=1failed=0


- Questions:
1) How could I resolve this issue?
2) Is this behaviors considered as a bug to be reported?

Thanks,
Ab
--
___
Users mailing list

Re: [ovirt-users] Warning - MacOS SSH Terminal / oVirt Engine Errors

2017-12-29 Thread Chris Adams
Once upon a time, andreil1  said:
> Hi !
> 
> I would like to warn all who try to use engine-setup via MacOS X SSH terminal.
> It throws a lot of errors and fails (seems to relate to differently named 
> UTF8 locales). 
> From Linux PC everything is fine.
> 
> 
> 
> [root@node00 ~]# engine-setup 
> [ ERROR ] Yum unknown locale: UTF-8
> [ ERROR ] Yum unknown locale: UTF-8

Is it really setting the locale ($LANG) to UTF-8?  If so, that's wrong;
UTF-8 is a character encoding, not a locale.  A proper locale would be
something like en_US.utf8.

You should be able to override it after login by setting it, like:

# export LANG=en_US.utf8

-- 
Chris Adams 
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


[ovirt-users] Warning - MacOS SSH Terminal / oVirt Engine Errors

2017-12-29 Thread andreil1
Hi !

I would like to warn all who try to use engine-setup via MacOS X SSH terminal.
It throws a lot of errors and fails (seems to relate to differently named UTF8 
locales). 
>From Linux PC everything is fine.



[root@node00 ~]# engine-setup 
[ ERROR ] Yum unknown locale: UTF-8
[ ERROR ] Yum unknown locale: UTF-8
[ INFO  ] Stage: Initializing
[ INFO  ] Stage: Environment setup
  Configuration files: 
['/etc/ovirt-engine-setup.conf.d/10-packaging-jboss.conf', 
'/etc/ovirt-engine-setup.conf.d/10-packaging.conf', 
'/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf']
  Log file: 
/var/log/ovirt-engine/setup/ovirt-engine-setup-20171229131812-y5rhix.log
  Version: otopi-1.7.5 (otopi-1.7.5-1.el7.centos)
[ ERROR ] Failed to execute stage 'Environment setup': unknown locale: UTF-8
[ INFO  ] Stage: Clean up
  Log file is located at 
/var/log/ovirt-engine/setup/ovirt-engine-setup-20171229131812-y5rhix.log
[ ERROR ] Failed to execute stage 'Clean up': 'NoneType' object has no 
attribute 'cleanup'
[ INFO  ] Generating answer file 
'/var/lib/ovirt-engine/setup/answers/20171229131815-setup.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of setup failed
[root@node00 ~]# Connection to 192.168.0.4 closed by remote host.
Connection to 192.168.0.4 closed.
iMacG5:~ g5$ 


___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Migrating VM's from downed host

2017-12-29 Thread Mark Steele
Donny,

Thank you - I was able to go into the host and 'Confirm it was manually
shutdown' - this fenced the host and then put all the VM's into a down
state - from there I was able to move them.

Thank you for your quick response!

Mark


***
*Mark Steele*
CIO / VP Technical Operations | TelVue Corporation
TelVue - We Share Your Vision
16000 Horizon Way, Suite 100 | Mt. Laurel, NJ 08054
800.885.8886 x128 | mste...@telvue.com | http://www.telvue.com
twitter: http://twitter.com/telvue | facebook:
https://www.facebook.com/telvue

On Fri, Dec 29, 2017 at 7:31 AM, Donny Davis  wrote:

> There should be a way to poweroff the VM. Then you will be able to restart
> it on another host. If you right click on the virtual machine, what options
> are you presented with
>
> On Fri, Dec 29, 2017 at 7:23 AM, Mark Steele  wrote:
>
>> Good morning,
>>
>> We lost one of our hosts this morning and all of the VM's in that host
>> are in a hung state with a '?' in their status.
>>
>> The Host itself is powered off due to a failed backplane and is reporting
>> 'Host hv-01 is not responding. It will stay in Connecting state for a grace
>> period of 136 seconds and after that an attempt to fence will be issued.' -
>> that message has been repeating every three minutes. We have tried to
>> manually power cycle the blade but that is not working.
>>
>> We are running 3.5.0.1-1.el6
>>
>> - is there a way to force that host to release it's VM's?
>> - is there a way to manually move the VM's?
>>
>> The menu for the VM's only has 'Add' and 'Edit' available.
>>
>> Best regards,
>>
>> ***
>> *Mark Steele*
>> CIO / VP Technical Operations | TelVue Corporation
>> TelVue - We Share Your Vision
>> 16000 Horizon Way, Suite 100 | Mt. Laurel, NJ 08054
>> 
>> 800.885.8886 x128 <(800)%20885-8886> | mste...@telvue.com | http://
>> www.telvue.com
>> twitter: http://twitter.com/telvue | facebook: https://www.facebook
>> .com/telvue
>>
>> ___
>> Users mailing list
>> Users@ovirt.org
>> http://lists.ovirt.org/mailman/listinfo/users
>>
>>
>
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Migrating VM's from downed host

2017-12-29 Thread Donny Davis
There should be a way to poweroff the VM. Then you will be able to restart
it on another host. If you right click on the virtual machine, what options
are you presented with

On Fri, Dec 29, 2017 at 7:23 AM, Mark Steele  wrote:

> Good morning,
>
> We lost one of our hosts this morning and all of the VM's in that host are
> in a hung state with a '?' in their status.
>
> The Host itself is powered off due to a failed backplane and is reporting
> 'Host hv-01 is not responding. It will stay in Connecting state for a grace
> period of 136 seconds and after that an attempt to fence will be issued.' -
> that message has been repeating every three minutes. We have tried to
> manually power cycle the blade but that is not working.
>
> We are running 3.5.0.1-1.el6
>
> - is there a way to force that host to release it's VM's?
> - is there a way to manually move the VM's?
>
> The menu for the VM's only has 'Add' and 'Edit' available.
>
> Best regards,
>
> ***
> *Mark Steele*
> CIO / VP Technical Operations | TelVue Corporation
> TelVue - We Share Your Vision
> 16000 Horizon Way, Suite 100 | Mt. Laurel, NJ 08054
> 800.885.8886 x128 <(800)%20885-8886> | mste...@telvue.com | http://
> www.telvue.com
> twitter: http://twitter.com/telvue | facebook: https://www.
> facebook.com/telvue
>
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users
>
>
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


[ovirt-users] Migrating VM's from downed host

2017-12-29 Thread Mark Steele
Good morning,

We lost one of our hosts this morning and all of the VM's in that host are
in a hung state with a '?' in their status.

The Host itself is powered off due to a failed backplane and is reporting
'Host hv-01 is not responding. It will stay in Connecting state for a grace
period of 136 seconds and after that an attempt to fence will be issued.' -
that message has been repeating every three minutes. We have tried to
manually power cycle the blade but that is not working.

We are running 3.5.0.1-1.el6

- is there a way to force that host to release it's VM's?
- is there a way to manually move the VM's?

The menu for the VM's only has 'Add' and 'Edit' available.

Best regards,

***
*Mark Steele*
CIO / VP Technical Operations | TelVue Corporation
TelVue - We Share Your Vision
16000 Horizon Way, Suite 100 | Mt. Laurel, NJ 08054
800.885.8886 x128 | mste...@telvue.com | http://www.telvue.com
twitter: http://twitter.com/telvue | facebook:
https://www.facebook.com/telvue
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] oVirt Node 4.1.8 -> 4.2 upgrade

2017-12-29 Thread Ed Stout
On 29 December 2017 at 09:11, Michal Skrivanek
 wrote:
>
>
>> On 29 Dec 2017, at 10:03, Ed Stout  wrote:
>>
>> On 29 December 2017 at 08:42, Michal Skrivanek
>>  wrote:
>>>
>>>
 On 29 Dec 2017, at 09:34, Ed Stout  wrote:

 Good Morning,

 Perhaps someone could clarify for me, please - to update oVirt Nodes
 from 4.1.8 -> 4.2, should I just be able to yum install the 4.2
 release file, then yum update?
>>>
>>> Hi,
>>> yes, that should be the right one
>>>
 Or, do I have to start with the 4.2
 ISO then update from there?

 When I try the former it fails with dependency issues for the nodes, I
 did however manage to update a self hosted appliance engine to 4.2.  I
 had a read through the mailing list archive and couldn't find similar
 issues, so perhaps I'm doing something wrong.

 --> Processing Dependency: lshw for package: 
 vdsm-4.20.9.3-1.el7.centos.x86_64
 --> Finished Dependency Resolution
 Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch 
 (ovirt-4.2)
  Requires: libvirt-daemon-config-network
 Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch 
 (ovirt-4.2)
  Requires: virt-install
 Error: Package: glusterfs-geo-replication-3.12.3-1.el7.x86_64
 (ovirt-4.2-centos-gluster312)
  Requires: python-prettytable
 Error: Package: vdsm-4.20.9.3-1.el7.centos.x86_64 (ovirt-4.2)
  Requires: lshw
 Error: Package: glusterfs-events-3.12.3-1.el7.x86_64
 (ovirt-4.2-centos-gluster312)
  Requires: python-prettytable
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles —nodigest
>>>
>>> can you list all your enabled repos? Seems you're missing the base CentOS
>>>
>>> Thanks,
>>> michal
>>
>> Sure, thanks for the reply - I have 3 nodes, installed from the 4.1.x
>> oVirt node ISOs, no custom packages/repos, that see the same (minus
>> the 4.2 added here).
>>
>> [root@onode3 ~]# yum repolist enabled
>> Loaded plugins: fastestmirror, imgbased-persist
>> Loading mirror speeds from cached hostfile
>> * ovirt-4.1-epel: mirrors.ukfast.co.uk
>> * ovirt-4.2: ftp.snt.utwente.nl
>> * ovirt-4.2-epel: mirrors.ukfast.co.uk
>> repo id
>> repo name
>>
>>   status
>> centos-opstools-release/x86_64
>> CentOS-7 - OpsTools - release
>>
>>  421
>> centos-sclo-rh-release/x86_64
>> CentOS-7 - SCLo rh
>>
>>6,534
>> ovirt-4.1/7
>> Latest oVirt 4.1 Release
>>
>>2,101
>> ovirt-4.1-centos-gluster38/x86_64
>> CentOS-7 - Gluster 3.8
>>
>>   31
>> ovirt-4.1-epel/x86_64
>> Extra Packages for Enterprise Linux 7
>> - x86_64
>>   12,184
>> ovirt-4.1-patternfly1-noarch-epel/x86_64
>> Copr repo for patternfly1 owned by
>> patternfly
>>   2
>> ovirt-4.2/7
>> Latest oVirt 4.2 Release
>>
>>  179
>> ovirt-4.2-centos-gluster312/x86_64
>> CentOS-7 - Gluster 3.12
>>
>>   93
>> ovirt-4.2-centos-opstools/x86_64
>> CentOS-7 - OpsTools - release
>>
>>  421
>> ovirt-4.2-centos-ovirt42/x86_64
>> CentOS-7 - oVirt 4.2
>>
>>  201
>> ovirt-4.2-centos-qemu-ev/x86_64
>> CentOS-7 - QEMU EV
>>
>>   39
>> ovirt-4.2-epel/x86_64
>> Extra Packages for Enterprise Linux 7
>> - x86_64
>>   12,184
>> ovirt-4.2-virtio-win-latest
>> virtio-win builds roughly matching
>> what will be shipped in upcoming RHEL
>>  35
>> ovirt-centos-ovirt41/x86_64
>> CentOS-7 - oVirt 4.1
>>
>>  456
>> sac-gdeploy/x86_64
>> Copr repo for gdeploy owned by sac
>>
>>4
>> virtio-win-stable
>> virtio-win builds roughly matching
>> what was shipped in latest RHEL
>>   5
>> repolist: 34,890
>
> I think it’s missing the base centos repos, maybe that is a bug in the 
> initial deployment.
> Try to add base CentOS 4.2 repo from CentOS site, all the above are supposed 
> to be “on top” of that one
>
> Thanks,
> michal

Much obliged - the CentOS-Base.repo is there, 

[ovirt-users] Test

2017-12-29 Thread Alex K
test email.
for some reason I do not receive messages from this mailing list.

Alex
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] OVS support in oVirt 4.2

2017-12-29 Thread Eduardo Mayoral
Thanks for the clarification!

Eduardo Mayoral Jimeno (emayo...@arsys.es)
Administrador de sistemas. Departamento de Plataformas. Arsys internet.
+34 941 620 145 ext. 5153

On 28/12/17 17:18, Marcin Mirecki wrote:
> Hi Eduardo,
>
> Migration is supported for OVN (although there might still be some
> performance issues).
> OVS is "Experimental", hence not supported.
>
> Marcin
>
>
> On Thu, Dec 28, 2017 at 12:59 PM, Eduardo Mayoral  > wrote:
>
> Hi,
>
>     After upgrading to oVirt 4.2 I see OVS switch type is still listed
> in the UI as "Experimental". I remember in 4.0 using OVS switches
> prevented live migration of the VMs between hosts. Is this still
> so? Can
> someone comment on the status of OVS switching support in oVirt
> 4.2 and
> the preferred switch type? I would love to give OVS and OVN a try, but
> not at the expense of sacrificing live migration of VMs.
>
>     Thanks for your help!
>
> --
> Eduardo Mayoral Jimeno (emayo...@arsys.es )
> Administrador de sistemas. Departamento de Plataformas. Arsys
> internet.
> +34 941 620 145 ext. 5153 
>
> ___
> Users mailing list
> Users@ovirt.org 
> http://lists.ovirt.org/mailman/listinfo/users
> 
>
>

___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] oVirt Node 4.1.8 -> 4.2 upgrade

2017-12-29 Thread Michal Skrivanek


> On 29 Dec 2017, at 10:03, Ed Stout  wrote:
> 
> On 29 December 2017 at 08:42, Michal Skrivanek
>  wrote:
>> 
>> 
>>> On 29 Dec 2017, at 09:34, Ed Stout  wrote:
>>> 
>>> Good Morning,
>>> 
>>> Perhaps someone could clarify for me, please - to update oVirt Nodes
>>> from 4.1.8 -> 4.2, should I just be able to yum install the 4.2
>>> release file, then yum update?
>> 
>> Hi,
>> yes, that should be the right one
>> 
>>> Or, do I have to start with the 4.2
>>> ISO then update from there?
>>> 
>>> When I try the former it fails with dependency issues for the nodes, I
>>> did however manage to update a self hosted appliance engine to 4.2.  I
>>> had a read through the mailing list archive and couldn't find similar
>>> issues, so perhaps I'm doing something wrong.
>>> 
>>> --> Processing Dependency: lshw for package: 
>>> vdsm-4.20.9.3-1.el7.centos.x86_64
>>> --> Finished Dependency Resolution
>>> Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch 
>>> (ovirt-4.2)
>>>  Requires: libvirt-daemon-config-network
>>> Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch 
>>> (ovirt-4.2)
>>>  Requires: virt-install
>>> Error: Package: glusterfs-geo-replication-3.12.3-1.el7.x86_64
>>> (ovirt-4.2-centos-gluster312)
>>>  Requires: python-prettytable
>>> Error: Package: vdsm-4.20.9.3-1.el7.centos.x86_64 (ovirt-4.2)
>>>  Requires: lshw
>>> Error: Package: glusterfs-events-3.12.3-1.el7.x86_64
>>> (ovirt-4.2-centos-gluster312)
>>>  Requires: python-prettytable
>>> You could try using --skip-broken to work around the problem
>>> You could try running: rpm -Va --nofiles —nodigest
>> 
>> can you list all your enabled repos? Seems you're missing the base CentOS
>> 
>> Thanks,
>> michal
> 
> Sure, thanks for the reply - I have 3 nodes, installed from the 4.1.x
> oVirt node ISOs, no custom packages/repos, that see the same (minus
> the 4.2 added here).
> 
> [root@onode3 ~]# yum repolist enabled
> Loaded plugins: fastestmirror, imgbased-persist
> Loading mirror speeds from cached hostfile
> * ovirt-4.1-epel: mirrors.ukfast.co.uk
> * ovirt-4.2: ftp.snt.utwente.nl
> * ovirt-4.2-epel: mirrors.ukfast.co.uk
> repo id
> repo name
> 
>   status
> centos-opstools-release/x86_64
> CentOS-7 - OpsTools - release
> 
>  421
> centos-sclo-rh-release/x86_64
> CentOS-7 - SCLo rh
> 
>6,534
> ovirt-4.1/7
> Latest oVirt 4.1 Release
> 
>2,101
> ovirt-4.1-centos-gluster38/x86_64
> CentOS-7 - Gluster 3.8
> 
>   31
> ovirt-4.1-epel/x86_64
> Extra Packages for Enterprise Linux 7
> - x86_64
>   12,184
> ovirt-4.1-patternfly1-noarch-epel/x86_64
> Copr repo for patternfly1 owned by
> patternfly
>   2
> ovirt-4.2/7
> Latest oVirt 4.2 Release
> 
>  179
> ovirt-4.2-centos-gluster312/x86_64
> CentOS-7 - Gluster 3.12
> 
>   93
> ovirt-4.2-centos-opstools/x86_64
> CentOS-7 - OpsTools - release
> 
>  421
> ovirt-4.2-centos-ovirt42/x86_64
> CentOS-7 - oVirt 4.2
> 
>  201
> ovirt-4.2-centos-qemu-ev/x86_64
> CentOS-7 - QEMU EV
> 
>   39
> ovirt-4.2-epel/x86_64
> Extra Packages for Enterprise Linux 7
> - x86_64
>   12,184
> ovirt-4.2-virtio-win-latest
> virtio-win builds roughly matching
> what will be shipped in upcoming RHEL
>  35
> ovirt-centos-ovirt41/x86_64
> CentOS-7 - oVirt 4.1
> 
>  456
> sac-gdeploy/x86_64
> Copr repo for gdeploy owned by sac
> 
>4
> virtio-win-stable
> virtio-win builds roughly matching
> what was shipped in latest RHEL
>   5
> repolist: 34,890

I think it’s missing the base centos repos, maybe that is a bug in the initial 
deployment. 
Try to add base CentOS 4.2 repo from CentOS site, all the above are supposed to 
be “on top” of that one

Thanks,
michal

> 
>> 
>>> 
>>> 
>>> OS Version:
>>> RHEL - 7 - 4.1708.el7.centos
>>> OS Description:
>>> oVirt Node 4.1.8
>>> Kernel Version:
>>> 3.10.0 - 693.11.1.el7.x86_64
>>> KVM Version:
>>> 2.9.0 - 16.el7_4.8.1
>>> LIBVIRT Version:
>>> 

Re: [ovirt-users] oVirt Node 4.1.8 -> 4.2 upgrade

2017-12-29 Thread Ed Stout
On 29 December 2017 at 08:42, Michal Skrivanek
 wrote:
>
>
>> On 29 Dec 2017, at 09:34, Ed Stout  wrote:
>>
>> Good Morning,
>>
>> Perhaps someone could clarify for me, please - to update oVirt Nodes
>> from 4.1.8 -> 4.2, should I just be able to yum install the 4.2
>> release file, then yum update?
>
> Hi,
> yes, that should be the right one
>
>>  Or, do I have to start with the 4.2
>> ISO then update from there?
>>
>> When I try the former it fails with dependency issues for the nodes, I
>> did however manage to update a self hosted appliance engine to 4.2.  I
>> had a read through the mailing list archive and couldn't find similar
>> issues, so perhaps I'm doing something wrong.
>>
>> --> Processing Dependency: lshw for package: 
>> vdsm-4.20.9.3-1.el7.centos.x86_64
>> --> Finished Dependency Resolution
>> Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch 
>> (ovirt-4.2)
>>   Requires: libvirt-daemon-config-network
>> Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch 
>> (ovirt-4.2)
>>   Requires: virt-install
>> Error: Package: glusterfs-geo-replication-3.12.3-1.el7.x86_64
>> (ovirt-4.2-centos-gluster312)
>>   Requires: python-prettytable
>> Error: Package: vdsm-4.20.9.3-1.el7.centos.x86_64 (ovirt-4.2)
>>   Requires: lshw
>> Error: Package: glusterfs-events-3.12.3-1.el7.x86_64
>> (ovirt-4.2-centos-gluster312)
>>   Requires: python-prettytable
>> You could try using --skip-broken to work around the problem
>> You could try running: rpm -Va --nofiles —nodigest
>
> can you list all your enabled repos? Seems you're missing the base CentOS
>
> Thanks,
> michal

Sure, thanks for the reply - I have 3 nodes, installed from the 4.1.x
oVirt node ISOs, no custom packages/repos, that see the same (minus
the 4.2 added here).

[root@onode3 ~]# yum repolist enabled
Loaded plugins: fastestmirror, imgbased-persist
Loading mirror speeds from cached hostfile
 * ovirt-4.1-epel: mirrors.ukfast.co.uk
 * ovirt-4.2: ftp.snt.utwente.nl
 * ovirt-4.2-epel: mirrors.ukfast.co.uk
repo id
 repo name

   status
centos-opstools-release/x86_64
 CentOS-7 - OpsTools - release

  421
centos-sclo-rh-release/x86_64
 CentOS-7 - SCLo rh

6,534
ovirt-4.1/7
 Latest oVirt 4.1 Release

2,101
ovirt-4.1-centos-gluster38/x86_64
 CentOS-7 - Gluster 3.8

   31
ovirt-4.1-epel/x86_64
 Extra Packages for Enterprise Linux 7
- x86_64
   12,184
ovirt-4.1-patternfly1-noarch-epel/x86_64
 Copr repo for patternfly1 owned by
patternfly
   2
ovirt-4.2/7
 Latest oVirt 4.2 Release

  179
ovirt-4.2-centos-gluster312/x86_64
 CentOS-7 - Gluster 3.12

   93
ovirt-4.2-centos-opstools/x86_64
 CentOS-7 - OpsTools - release

  421
ovirt-4.2-centos-ovirt42/x86_64
 CentOS-7 - oVirt 4.2

  201
ovirt-4.2-centos-qemu-ev/x86_64
 CentOS-7 - QEMU EV

   39
ovirt-4.2-epel/x86_64
 Extra Packages for Enterprise Linux 7
- x86_64
   12,184
ovirt-4.2-virtio-win-latest
 virtio-win builds roughly matching
what will be shipped in upcoming RHEL
  35
ovirt-centos-ovirt41/x86_64
 CentOS-7 - oVirt 4.1

  456
sac-gdeploy/x86_64
 Copr repo for gdeploy owned by sac

4
virtio-win-stable
 virtio-win builds roughly matching
what was shipped in latest RHEL
   5
repolist: 34,890

>
>>
>>
>> OS Version:
>> RHEL - 7 - 4.1708.el7.centos
>> OS Description:
>> oVirt Node 4.1.8
>> Kernel Version:
>> 3.10.0 - 693.11.1.el7.x86_64
>> KVM Version:
>> 2.9.0 - 16.el7_4.8.1
>> LIBVIRT Version:
>> libvirt-3.2.0-14.el7_4.5
>> VDSM Version:
>> vdsm-4.19.43-1.el7.centos
>> SPICE Version:
>> 0.12.8 - 2.el7.1
>> GlusterFS Version:
>> glusterfs-3.8.15-2.el7
>> CEPH Version:
>> librbd1-0.94.5-2.el7
>>
>> Cheers,
>>
>> Ed
>> ___
>> Users mailing list
>> Users@ovirt.org
>> http://lists.ovirt.org/mailman/listinfo/users
>>
>>
>
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] oVirt Node 4.1.8 -> 4.2 upgrade

2017-12-29 Thread Michal Skrivanek


> On 29 Dec 2017, at 09:34, Ed Stout  wrote:
> 
> Good Morning,
> 
> Perhaps someone could clarify for me, please - to update oVirt Nodes
> from 4.1.8 -> 4.2, should I just be able to yum install the 4.2
> release file, then yum update?

Hi,
yes, that should be the right one

>  Or, do I have to start with the 4.2
> ISO then update from there?
> 
> When I try the former it fails with dependency issues for the nodes, I
> did however manage to update a self hosted appliance engine to 4.2.  I
> had a read through the mailing list archive and couldn't find similar
> issues, so perhaps I'm doing something wrong.
> 
> --> Processing Dependency: lshw for package: vdsm-4.20.9.3-1.el7.centos.x86_64
> --> Finished Dependency Resolution
> Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch 
> (ovirt-4.2)
>   Requires: libvirt-daemon-config-network
> Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch 
> (ovirt-4.2)
>   Requires: virt-install
> Error: Package: glusterfs-geo-replication-3.12.3-1.el7.x86_64
> (ovirt-4.2-centos-gluster312)
>   Requires: python-prettytable
> Error: Package: vdsm-4.20.9.3-1.el7.centos.x86_64 (ovirt-4.2)
>   Requires: lshw
> Error: Package: glusterfs-events-3.12.3-1.el7.x86_64
> (ovirt-4.2-centos-gluster312)
>   Requires: python-prettytable
> You could try using --skip-broken to work around the problem
> You could try running: rpm -Va --nofiles —nodigest

can you list all your enabled repos? Seems you're missing the base CentOS

Thanks,
michal

> 
> 
> OS Version:
> RHEL - 7 - 4.1708.el7.centos
> OS Description:
> oVirt Node 4.1.8
> Kernel Version:
> 3.10.0 - 693.11.1.el7.x86_64
> KVM Version:
> 2.9.0 - 16.el7_4.8.1
> LIBVIRT Version:
> libvirt-3.2.0-14.el7_4.5
> VDSM Version:
> vdsm-4.19.43-1.el7.centos
> SPICE Version:
> 0.12.8 - 2.el7.1
> GlusterFS Version:
> glusterfs-3.8.15-2.el7
> CEPH Version:
> librbd1-0.94.5-2.el7
> 
> Cheers,
> 
> Ed
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users
> 
> 

___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


[ovirt-users] oVirt Node 4.1.8 -> 4.2 upgrade

2017-12-29 Thread Ed Stout
Good Morning,

Perhaps someone could clarify for me, please - to update oVirt Nodes
from 4.1.8 -> 4.2, should I just be able to yum install the 4.2
release file, then yum update?  Or, do I have to start with the 4.2
ISO then update from there?

When I try the former it fails with dependency issues for the nodes, I
did however manage to update a self hosted appliance engine to 4.2.  I
had a read through the mailing list archive and couldn't find similar
issues, so perhaps I'm doing something wrong.

--> Processing Dependency: lshw for package: vdsm-4.20.9.3-1.el7.centos.x86_64
--> Finished Dependency Resolution
Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch (ovirt-4.2)
   Requires: libvirt-daemon-config-network
Error: Package: ovirt-hosted-engine-setup-2.2.3-1.el7.centos.noarch (ovirt-4.2)
   Requires: virt-install
Error: Package: glusterfs-geo-replication-3.12.3-1.el7.x86_64
(ovirt-4.2-centos-gluster312)
   Requires: python-prettytable
Error: Package: vdsm-4.20.9.3-1.el7.centos.x86_64 (ovirt-4.2)
   Requires: lshw
Error: Package: glusterfs-events-3.12.3-1.el7.x86_64
(ovirt-4.2-centos-gluster312)
   Requires: python-prettytable
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


OS Version:
RHEL - 7 - 4.1708.el7.centos
OS Description:
oVirt Node 4.1.8
Kernel Version:
3.10.0 - 693.11.1.el7.x86_64
KVM Version:
2.9.0 - 16.el7_4.8.1
LIBVIRT Version:
libvirt-3.2.0-14.el7_4.5
VDSM Version:
vdsm-4.19.43-1.el7.centos
SPICE Version:
0.12.8 - 2.el7.1
GlusterFS Version:
glusterfs-3.8.15-2.el7
CEPH Version:
librbd1-0.94.5-2.el7

Cheers,

Ed
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Turn on "Nested Virtualization" on the "hosted-engine"

2017-12-29 Thread Michal Skrivanek


> On 29 Dec 2017, at 09:16, Roman Drovalev  wrote:
> 
> Thanks for the answers.
> 
> 
> How to specify the parameter data for oVirt VM?
> 
> +vmx
> > https://ladipro.wordpress.com/2017/02/24/running-hyperv-in-kvm-guest/

that’s what the nested-vt hook does
again, with the current kernel it’s unlikely to work.
You can try Fedora, though we do not support running it for anything but 
development.

> 
> 
> 27.12.2017 15:16, Michal Skrivanek пишет:
>> 
>> 
>>> On 27 Dec 2017, at 13:06, Martin Sivak  wrote:
>>> 
>>> Hi,
>>> 
>>> it might be a good idea to install vdsm-hooks-nestedvt and
>>> vdsm-hook-macspoof on the host as described for example here:
>>> https://community.redhat.com/blog/2013/08/testing-ovirt-3-3-with-nested-kvm/
>>> 
>>> Those two hooks will configure the kvm module properly and allow
>>> dhcp/pxe to be used from within the nested VM.
>> 
>> Yes. Though it’s likely not going to work out of the box anyway due to older 
>> kernel.
>> See a guide from Ladi[1], there was also a presentation about nested hyper-v 
>> on KVMForum 2017 
>> 
>> Thanks,
>> michal
>> 
>> [1] https://ladipro.wordpress.com/2017/02/24/running-hyperv-in-kvm-guest/
>> 
>>> 
>>> Best regards
>>> 
>>> --
>>> Martin Sivak
>>> SLA / oVirt
>>> 
>>> On Wed, Dec 27, 2017 at 9:05 AM, Michal Skrivanek
>>>  wrote:
 
 
 On 25 Dec 2017, at 13:03, Roman Drovalev  wrote:
 
> I'm not sure I understand the layering - hyper-V on oVirt or vice-versa?
 
 the layering: oVirt host -> Hyper-V_VM on oVirt -> VM on Hyper-V_VM
 
 CentOS based on linux kernel. I manual modified linux kernel parametrs.
 
 
 if you modified the kernel parameters already (which you did, as seen in
 screen shot your cmdline does have nested virt param) then there’s nothing
 else to do in the GUI, your host should support nested virtualization.
 I’m not sure why do you need SR-IOV but that’s not going to work on top of
 hyperv
 
 
 oVirt-engine based on oVirt API. How to manually change the parameters of
 ovirt-engine through API?
 
> In any case, I assume an additional host is needed, the host hosting the
> Hosted-Engine VM cannot be changed with those parameters when the HE is 
> up.
> Y.
 
 It's impossible, the second host is now - Hyper-V with working VM's.
 
 25.12.2017 12:19, Yaniv Kaul
 
 
 
 On Mon, Dec 25, 2017 at 10:14 AM, Roman Drovalev 
 wrote:
> 
> Thanks for the quick response.
> 
>> You probably need an additional host.
> 
> I'm migrating from Hyper-V at the moment there is no way to add a second
> host.
> 
> 
> 25.12.2017 10:43, Yaniv Kaul пишет:
>> What are you trying to achieve?
> 
> "Nested Virtualization" . I need run on Hyper-V one VM on the my oVirt
 
 
 I'm not sure I understand the layering - hyper-V on oVirt or vice-versa?
 In any case, I assume an additional host is needed, the host hosting the
 Hosted-Engine VM cannot be changed with those parameters when the HE is up.
 Y.
 
> 
> 
> 
> 
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users
 
 
 
 --
 С уважением, Дровалев Роман
 инженер ГБУЗ "МИАЦ",
 Калужской области.
 тел. 4842 705 004
 
 ___
 Users mailing list
 Users@ovirt.org
 http://lists.ovirt.org/mailman/listinfo/users
 
 
 
 ___
 Users mailing list
 Users@ovirt.org
 http://lists.ovirt.org/mailman/listinfo/users
 
>> 
> 
> -- 
> С уважением, Дровалев Роман
> инженер ГБУЗ "МИАЦ",
> Калужской области.
> тел. 4842 705 004
> 
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users

___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Turn on "Nested Virtualization" on the "hosted-engine"

2017-12-29 Thread Roman Drovalev
Thanks for the answers.


How to specify the parameter data for oVirt VM?

+vmx

> https://ladipro.wordpress.com/2017/02/24/running-hyperv-in-kvm-guest/





27.12.2017 15:16, Michal Skrivanek пишет:
>
>
>> On 27 Dec 2017, at 13:06, Martin Sivak > > wrote:
>>
>> Hi,
>>
>> it might be a good idea to install vdsm-hooks-nestedvt and
>> vdsm-hook-macspoof on the host as described for example here:
>> https://community.redhat.com/blog/2013/08/testing-ovirt-3-3-with-nested-kvm/
>>
>> Those two hooks will configure the kvm module properly and allow
>> dhcp/pxe to be used from within the nested VM.
>
> Yes. Though it’s likely not going to work out of the box anyway due to
> older kernel.
> See a guide from Ladi[1], there was also a presentation about nested
> hyper-v on KVMForum 2017 
>
> Thanks,
> michal
>
> [1] https://ladipro.wordpress.com/2017/02/24/running-hyperv-in-kvm-guest/
>
>>
>> Best regards
>>
>> --
>> Martin Sivak
>> SLA / oVirt
>>
>> On Wed, Dec 27, 2017 at 9:05 AM, Michal Skrivanek
>> > wrote:
>>>
>>>
>>> On 25 Dec 2017, at 13:03, Roman Drovalev >> > wrote:
>>>
 I'm not sure I understand the layering - hyper-V on oVirt or
 vice-versa?
>>>
>>> the layering: oVirt host -> Hyper-V_VM on oVirt -> VM on Hyper-V_VM
>>>
>>> CentOS based on linux kernel. I manual modified linux kernel parametrs.
>>>
>>>
>>> if you modified the kernel parameters already (which you did, as seen in
>>> screen shot your cmdline does have nested virt param) then there’s
>>> nothing
>>> else to do in the GUI, your host should support nested virtualization.
>>> I’m not sure why do you need SR-IOV but that’s not going to work on
>>> top of
>>> hyperv
>>>
>>>
>>> oVirt-engine based on oVirt API. How to manually change the
>>> parameters of
>>> ovirt-engine through API?
>>>
 In any case, I assume an additional host is needed, the host
 hosting the
 Hosted-Engine VM cannot be changed with those parameters when the
 HE is up.
 Y.
>>>
>>> It's impossible, the second host is now - Hyper-V with working VM's.
>>>
>>> 25.12.2017 12:19, Yaniv Kaul
>>>
>>>
>>>
>>> On Mon, Dec 25, 2017 at 10:14 AM, Roman Drovalev
>>> >
>>> wrote:

 Thanks for the quick response.

> You probably need an additional host.

 I'm migrating from Hyper-V at the moment there is no way to add a
 second
 host.


 25.12.2017 10:43, Yaniv Kaul пишет:
> What are you trying to achieve?

 "Nested Virtualization" . I need run on Hyper-V one VM on the my oVirt
>>>
>>>
>>> I'm not sure I understand the layering - hyper-V on oVirt or vice-versa?
>>> In any case, I assume an additional host is needed, the host hosting the
>>> Hosted-Engine VM cannot be changed with those parameters when the HE
>>> is up.
>>> Y.
>>>




 ___
 Users mailing list
 Users@ovirt.org 
 http://lists.ovirt.org/mailman/listinfo/users
>>>
>>>
>>>
>>> --
>>> С уважением, Дровалев Роман
>>> инженер ГБУЗ "МИАЦ",
>>> Калужской области.
>>> тел. 4842 705 004
>>>
>>> ___
>>> Users mailing list
>>> Users@ovirt.org 
>>> http://lists.ovirt.org/mailman/listinfo/users
>>>
>>>
>>>
>>> ___
>>> Users mailing list
>>> Users@ovirt.org
>>> http://lists.ovirt.org/mailman/listinfo/users
>>>
>

-- 
С уважением, Дровалев Роман
инженер ГБУЗ "МИАЦ",
Калужской области.
тел. 4842 705 004

___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users